headless lms

List the devices you registered for push notifications

GET /api/member/devices. List the devices you registered for push notifications. Headless LMS Notifications API reference.

GET
/api/member/devices

For anyone signed in to the organization. Each app install or browser that registered, most recently seen first. A device not seen for 30 days receives no push until it registers again.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/member/devices"
[  {    "id": "string",    "provider": "apns",    "token": "string",    "p256dh": "string",    "auth": "string",    "appId": "string",    "environment": "production",    "lastSeenAt": "2019-08-24T14:15:22Z"  }]
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}